<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>to-do-app</title>
</head>
<body>
    <h1>My Todos</h1>
    <ul id="todo-list">
        
    </ul>
    <script>
    const electron = require('electron');
    const {ipcRenderer} = electron;
    var todoList = document.querySelector('#todo-list');
    ipcRenderer.on('todo:add', (event, todo)=>{
        const li = document.createElement('li');
        const text = document.createTextNode(todo);
        li.appendChild(text);
        todoList.appendChild(li);
    });
    ipcRenderer.on('todo:clear', ()=>{
        todoList.innerHTML = '';
    })
    </script>
</body>
</html>